<?php
 
/**
 * Implementation of hook_configure().
 *
 * @todo convert in t() functions with parameters
 */
 
function wss_bluga_settings() {
  $form = array();
  
  $form['wss_bluga_api_key'] = array(
      '#type' => 'textfield',
      '#title' => t('API key'),
      '#default_value' => variable_get('wss_bluga_api_key', ''),
      '#description' => t('Your Bluga API key. If you don\'t have one yet, you can get one !link.', array('!link' => l(t('here'), 'http://webthumb.bluga.net/register'))),

  );

  
  $form['wss_bluga_width'] = array(
      '#type' => 'textfield',
      '#title' => t('Width'),
      '#default_value' => variable_get('wss_bluga_width', '1024'),
      '#description' => t('The size (width) of the generated image).') .'<br/>'. t('Default: %default', array('%default' => 1024)),
      
  );
  $form['wss_bluga_height'] = array(
      '#type' => 'textfield',
      '#title' => t('Height'),
      '#default_value' => variable_get('wss_bluga_height', '768'),
      '#description' => t('The size (height) of the generated image).') .'<br/>'. t('Default: %default', array('%default' => 768)),
      
  );
  
  $form['wss_bluga_delay'] = array(
      '#type' => 'select',
      '#title' => t('Delay'),
      '#default_value' =>  variable_get('wss_bluga_delay', '3'),
      '#options' => array_combine(range(1 , 15, 1), range(1 , 15, 1)),
      '#description' => t('Delay to wait before taking the snapshot, Ranges from 1 to 15 seconds.') .'<br/>'. t('Default: %default', array('%default' => 3)),
 
  );
  
  $form['wss_bluga_image_type'] = array(
      '#type' => 'select',
      '#title' => t('Image type'),
      '#options' => array('jpg' => 'JPG', 'png' => 'PNG', 'png8' => 'PNG8'),
      '#default_value' => variable_get('wss_bluga_image_type', 'jpg'),
      '#description' => t('The type of image to generate.') .'<br/>'. t('Default: %default', array('%default' => t('JPG'))),

  );
 
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save settings'),
  );
  
  return $form;
}


/** implementation of hook_screenshot_settings_validate
    **/
function wss_bluga_settings_validate($form_id, &$form_state) {
  $width = $form_state['values']['wss_bluga_width'];
  
  if ($width < 300 || $width > 1024 ){
      form_set_error('website_screenshot_width', t('Width must be an integer between %min_width and %max_width.', array('%min_width' => $min, '%max_width' => $max)));
  }

}


/** implementation of hook_screenshot_settings_submit
    **/
function wss_bluga_settings_submit($form_id, &$form_state) {
  if($form_state['values']['wss_bluga_api_key']){
    variable_set('wss_bluga_api_key', $form_state['values']['wss_bluga_api_key']);
  } 
  if($form_state['values']['wss_bluga_width']){
    variable_set('wss_bluga_width', $form_state['values']['wss_bluga_width']);
  }
  if($form_state['values']['wss_bluga_height']){
    variable_set('wss_bluga_height', $form_state['values']['wss_bluga_height']);
  }
  if($form_state['values']['wss_bluga_delay']){
    variable_set('wss_bluga_delay', $form_state['values']['wss_bluga_delay']);
  }
  if($form_state['values']['wss_bluga_image_type']){
    variable_set('wss_bluga_image_type', $form_state['values']['wss_bluga_image_type']);
  }
    
}