<?php
 
/**
 * Implementation of hook_configure().
 *
 * @todo convert in t() functions with parameters
 */

function website_screenshot_configure() {
  $lightbox_ispresent = module_exists('lightbox2') || module_exists('jLightbox');
  if ($lightbox_ispresent) {
    drupal_set_message('Lightbox is installed with '. l('Lightbox2', 'http://drupal.org/project/lightbox2') .' or '. l('jQuery Lightbox', 'http://drupal.org/project/jlightbox') .' modules. You can use this functionality.', 'status', FALSE);
  }
  else {
    drupal_set_message('Lightbox is not present.<br />To use javascript zoom feature you should download and install '. l('Lightbox2', 'http://drupal.org/project/lightbox2') .' or '. l('jQuery Lightbox', 'http://drupal.org/project/jlightbox') .' module.', 'warning');
  }

  

  $form = array();
  $form['#attributes'] = array('enctype' => "multipart/form-data");
  
  $form['website_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Configuration'),
    '#weight' => -10,
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
    );

  $engine = variable_get('website_screenshot_engine', '');
  
  $engines = array();
  foreach(wss_screenshot_engines() as $name => $nengine) {
    $engines[$name] = $nengine['title'];
  }
  if(!$engines){
    drupal_set_message(t('Error: Any Engine found, please install at least one engine.'),'error');
  }
   
  if($engine == '' && $engines ){
    drupal_set_message(t('Warning: configuration is not saved'), 'warning');
  }
 
  $form['website_screenshot']['website_screenshot_engine'] = array(
    '#type' => 'select',
    '#title' => t('Screenshot engine'),
    '#options' => $engines, 
    '#default_value' => $engine,
    '#description' => $engines ? t('Select your screenshot engine.') .'<br/>'. t('Default: %default', array('%default' => 'The first engine found: '. $default_engine))
                               : t('You didn\'t to install a screenshot engine module. Install one!'),
  );


  $form['website_screenshot']['screenshot_default_image'] = array(
    '#type' => 'textfield',
    '#title' => t('Path of default screenshot image'),
    '#default_value' => variable_get('screenshot_default_image', ''),
    '#description' => t('Image to use when screenshot creation is queued, or fails altogether.') .'<br/>'. t('Default: %default', array('%default' => t('No image, output the url as plain text.'))),
    );
  
  $form['website_screenshot']['screenshot_default_image_upload'] = array(
    '#type' => 'file',
    '#title' => t('Upload new default screenshot image'),
    '#description' => t(''),
    );
  
    
  
  
  
  
  $form['#validate'][] = 'website_screenshot_configure_validate';
  $form['#submit'][] = 'website_screenshot_configure_submit';
  
  return system_settings_form($form);
}

function website_screenshot_configure_validate($form_id, &$form_state) {
  // dpm($_FILES);
     

}
function website_screenshot_configure_submit($form_id, &$form_state) {
  $validators = array('file_validate_is_image' => array());
  $dst=  file_directory_path() ;
  if ($file = file_save_upload('screenshot_default_image_upload', $validators, $dst , FILE_EXISTS_RENAME)) {
   $form_state['values']['screenshot_default_image'] =   $file->filepath   ;
  file_set_status($file, FILE_STATUS_PERMANENT);
  }
}
